import { RouteRecordRaw } from 'vue-router'

const routes: Array<RouteRecordRaw> = [
    { path: '/:pathMatch(.*)*', component: () => import("@r/views/error/404.vue") },
    { path: '/home', name: '总览', component: () => import('@r/views/home/index.vue') },
    { path: '/', name: 'MxGraph', component: () => import('@r/views/MxGraphElk/index.vue') },
    { path: '/demo', name: 'Demo', component: () => import('@r/views/demo/index.vue') }
]

export default routes
